# List Creative Campaigns

List Campaign market data for a given Creative ID

Endpoint: GET /creatives/{id}/campaigns
Security: cookieAuthStaging, cookieAuthProd

## Security:

  - `cookieAuthStaging` (unknown)
    apiKey in cookie tr-staging

  - `cookieAuthProd` (unknown)
    apiKey in cookie tr-production

## Path parameters:

  - `id` (string, required)

## Query parameters:

  - `page_size` (integer)

  - `page` (integer)

  - `order` (string)
    Supported order fields: `start_date`, `end_date`

  - `asc` (boolean)

  - `filter` (array)

  - `search` (array)

## Response 200:

  - `200` (unknown)
    A successful response.

## Response 200 fields (application/json):

  - `campaigns` (array)

  - `campaigns.start_date` (string)
    Example: 2004-09-22T16:16:42Z

  - `campaigns.end_date` (string)
    Example: 2004-09-22T16:16:42Z

  - `campaigns.markets` (array)
    Example: ["Buffalo, NY"]

  - `total_size` (integer)
    Example: 1

## Response 400 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 401 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 403 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 404 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

